<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/iod_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv2_p0 { color: #e0ffff; }
.textRainbow_lv1_o0 { color: #ffffe0; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/08/84  iod_info_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The iod_info_ subroutine extracts information from the I/O daemon
<span id="L4" class="LineNr">  4 </span>tables needed by those commands and subroutines that submit I/O daemon
<span id="L5" class="LineNr">  5 </span>requests.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>Entry points in iod_info_:
<span id="L9" class="LineNr">  9 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>:Entry:  driver_access_name:  02/08/84 iod_info_$driver_access_name
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Function:  This entry point returns the driver access name for a
<span id="L16" class="LineNr"> 16 </span>specified request type as defined in the I/O daemon tables.  For
<span id="L17" class="LineNr"> 17 </span>example, the driver access name for the &quot;printer&quot; request type might be
<span id="L18" class="LineNr"> 18 </span>&quot;IO.SysDaemon.*&quot;.
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Syntax:
<span id="L22" class="LineNr"> 22 </span>declare iod_info_$driver_access_name entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L23" class="LineNr"> 23 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>call iod_info_$driver_access_name <span class="textRainbow_lv0_p0">(</span>request_type<span class="textRainbow_lv0_o0">,</span> access_name<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Arguments:
<span id="L28" class="LineNr"> 28 </span>request_type
<span id="L29" class="LineNr"> 29 </span>   is the name of a request type as defined in the I/O daemon tables.
<span id="L30" class="LineNr"> 30 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>access_name
<span id="L32" class="LineNr"> 32 </span>   is the driver access name for the above request type.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr"> 33 </span>code
<span id="L34" class="LineNr"> 34 </span>   is a standard status code.  If the specified request type is not
<span id="L35" class="LineNr"> 35 </span>   found, the code error_table_$id_not_found is returned.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr"> 36 </span>
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>:Entry:  generic_type:  02/08/84 iod_info_$generic_type
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>Function:  This entry point returns the generic type of a specified
<span id="L42" class="LineNr"> 42 </span>request type as defined in the I/O daemon tables.  For example, the
<span id="L43" class="LineNr"> 43 </span>generic type for the &quot;unlined&quot; request type might be &quot;printer&quot;.  Refer
<span id="L44" class="LineNr"> 44 </span>to the print_request_types command for information on generic types
<span id="L45" class="LineNr"> 45 </span>available for specific request types.
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>Syntax:
<span id="L49" class="LineNr"> 49 </span>declare iod_info_$generic_type entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L50" class="LineNr"> 50 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L51" class="LineNr"> 51 </span>call iod_info_$generic_type <span class="textRainbow_lv0_p0">(</span>request_type<span class="textRainbow_lv0_o0">,</span> generic_type<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Arguments:
<span id="L55" class="LineNr"> 55 </span>request_type
<span id="L56" class="LineNr"> 56 </span>   is the name of a request type as defined in the I/O daemon tables.
<span id="L57" class="LineNr"> 57 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L58" class="LineNr"> 58 </span>generic_type
<span id="L59" class="LineNr"> 59 </span>   is the name of the generic type of the above request type.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L60" class="LineNr"> 60 </span>code
<span id="L61" class="LineNr"> 61 </span>   is a standard status code.  If the specified request type is not
<span id="L62" class="LineNr"> 62 </span>   found, the code error_table_$id_not_found is returned.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>:Entry:  queue_data:  02/08/84 iod_info_$queue_data
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>Function:  This entry point examines the I/O daemon tables and returns
<span id="L69" class="LineNr"> 69 </span>the default queue and maximum number of queues for a given request
<span id="L70" class="LineNr"> 70 </span>type.
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>Syntax:
<span id="L74" class="LineNr"> 74 </span>declare iod_info_$queue_data entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L75" class="LineNr"> 75 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span>;
<span id="L76" class="LineNr"> 76 </span>call iod_info_$queue_data entry <span class="textRainbow_lv1_p0">(</span>request_type<span class="textRainbow_lv1_o0">,</span> default_q<span class="textRainbow_lv1_o0">,</span> max_queues<span class="textRainbow_lv1_o0">,</span>
<span id="L77" class="LineNr"> 77 </span>     code<span class="textRainbow_lv1_p0">)</span>;
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>Arguments:
<span id="L81" class="LineNr"> 81 </span>request_type
<span id="L82" class="LineNr"> 82 </span>   is the name of the request type as defined in the I/O daemon tables.
<span id="L83" class="LineNr"> 83 </span>   <span class="textRainbow_lv1_p0">(</span>Input<span class="textRainbow_lv1_p0">)</span>
<span id="L84" class="LineNr"> 84 </span>default_q
<span id="L85" class="LineNr"> 85 </span>   is the number of the default queue for the request type.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L86" class="LineNr"> 86 </span>max_queues
<span id="L87" class="LineNr"> 87 </span>   is the number of queues for the request type.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L88" class="LineNr"> 88 </span>code
<span id="L89" class="LineNr"> 89 </span>   is a standard status code.  If the specified request type is not
<span id="L90" class="LineNr"> 90 </span>   found<span class="textRainbow_lv0_o0">,</span> the code error_table_$id_not_found is returned.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>
<span id="L93" class="LineNr"> 93 </span>:Entry:  rqt_list:  02/08/84 iod_info_$rqt_list
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>Function:  This entry point examines the I/O daemon tables and returns
<span id="L97" class="LineNr"> 97 </span>a list of request types of a given generic type.
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>Syntax:
<span id="L101" class="LineNr">101 </span>declare iod_info_$rqt_list entry <span class="textRainbow_lv1_p0">(</span>char<span class="textRainbow_lv2_p0">(</span>32<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> <span class="textRainbow_lv2_p0">(</span>*<span class="textRainbow_lv2_p0">)</span> char<span class="textRainbow_lv2_p0">(</span>32<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_o0">,</span> fixed bin<span class="textRainbow_lv1_o0">,</span>
<span id="L102" class="LineNr">102 </span>     fixed bin<span class="textRainbow_lv2_p0">(</span>35<span class="textRainbow_lv2_p0">)</span><span class="textRainbow_lv1_p0">)</span>;
<span id="L103" class="LineNr">103 </span>call iod_info_$rqt_list entry <span class="textRainbow_lv1_p0">(</span>gen_type<span class="textRainbow_lv1_o0">,</span> q_list<span class="textRainbow_lv1_o0">,</span> n_queues<span class="textRainbow_lv1_o0">,</span> code<span class="textRainbow_lv1_p0">)</span>;
<span id="L104" class="LineNr">104 </span>
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>Arguments:
<span id="L107" class="LineNr">107 </span>gen_type
<span id="L108" class="LineNr">108 </span>   is the generic type of request types to be listed.  If the string is
<span id="L109" class="LineNr">109 </span>   blank<span class="textRainbow_lv0_o0">,</span> then all request types are listed.  <span class="textRainbow_lv1_p0">(</span>Input<span class="textRainbow_lv1_p0">)</span>
<span id="L110" class="LineNr">110 </span>q_list
<span id="L111" class="LineNr">111 </span>   is an array that is filled in with the request type names to be
<span id="L112" class="LineNr">112 </span>   returned.  If the size of this array is less than the number of
<span id="L113" class="LineNr">113 </span>   names to be returned<span class="textRainbow_lv0_o0">,</span> the code error_table_$too_many_names will be
<span id="L114" class="LineNr">114 </span>   returned<span class="textRainbow_lv0_o0">,</span> with the partial list.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L115" class="LineNr">115 </span>n_queues
<span id="L116" class="LineNr">116 </span>   is the number of entries returned in the q_list array.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
<span id="L117" class="LineNr">117 </span>code
<span id="L118" class="LineNr">118 </span>   is a standard status code.  If there are no matching entries<span class="textRainbow_lv0_o0">,</span> the
<span id="L119" class="LineNr">119 </span>   code error_table_$no_entry is returned.  <span class="textRainbow_lv1_p0">(</span>Output<span class="textRainbow_lv1_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
